# Function from

- from<T>(iterable, order?): AsyncIterable<T>

- Creates an async iterable from an existing iterable.

  #### Type Parameters

  - T

  #### Parameters

  - iterable: Iterable<T | PromiseLike<T> | AsyncIterable<T, any, any>, any, any> | PromiseLike<Iterable<T | PromiseLike<T> | AsyncIterable<T, any, any>, any, any>>

    The iterable containing items (or promises of items) to return from the async iterable.

  - order: IterationOrder = "default"

    The order in which to return items. The default is to return items in the original order, however setting this parameter to EAGER causes the resulting iterator to return items as soon as they become available.

  #### Returns AsyncIterable<T>